<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Hausmeister\Raumbelegung\RaumUebersicht;

class RaumUebersichtPresenter extends \Kufer\Web\KuferTools\Basis\Raumbelegung\RaumUebersicht\RaumUebersichtPresenter
{
  protected function getPanelTitleLink($raum)
  {
    return 'index.php?tool_id=5&action=raumdetails&rnr=' . $raum->id;
  }

  protected function getView()
  {
    return new RaumUebersichtView($this->getViewModel());
  }

  protected function getViewModel()
  {
    $viewModel = new RaumUebersichtViewModel();
    $viewModel->blaettern = \Kufer\Web\KuferTools\Basis\Blaettern\BlaetternLeiste::getBlaetternLeiste('raumbelegung', 5, $this->useCaseResponse->blaettern);
    $viewModel->buttons = $this->getButtonHtml();
    $viewModel->uebersichtAlsTabelle = $this->useCaseResponse->uebersichtAlsTabelle;

    return $viewModel;
  }
}